summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Fernando Lopez Jr.2023-11-26 09:09:12 +0100
committer Willy Sudiarto Raharjo2023-11-26 12:42:11 +0100
commitca5f7f6d739badce62d8c62b52a09009006d952b (patch)
treedf346d7aa11e1c7c4b02dae88c9b07c2b2daa4b1 /graphics
parent94045e6a9cd6b651d9a8a51ab19f8e2cd41a0a43 (diff)
downloadslackbuilds-ca5f7f6d739badce62d8c62b52a09009006d952b.tar.gz
graphics/pd-gears: Added (parametrized gear generator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/pd-gears/README20
-rw-r--r--graphics/pd-gears/pd-gears.SlackBuild71
-rw-r--r--graphics/pd-gears/pd-gears.info10
-rw-r--r--graphics/pd-gears/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/graphics/pd-gears/README b/graphics/pd-gears/README
new file mode 100644
index 0000000000..a2a61cd4c3
--- /dev/null
+++ b/graphics/pd-gears/README
@@ -0,0 +1,20 @@
+This is the wiki and issue tracker for the OpenSCAD Modules Registry.
+
+OpenSCAD-Modules is a package manager for OpenSCAD. It's powered by
+NPM, the package manager of the Node.js project and a registry
+dedicated for Openscad-Modules itself. The aim of an openscad
+package manager is to have a tooling which handles dependencies
+among multiple projects. With NPM we achieve the following goals:
+
+one of the best package managers for free :)
+
+easy to use, large community, stable and well established
+
+project description including dependencies in a well
+understandable json format
+
+supports modules from the registry and also from github
+repositories directly
+
+a lot of documentation, ranging from installing npm, to creating
+your first modules, ...
diff --git a/graphics/pd-gears/pd-gears.SlackBuild b/graphics/pd-gears/pd-gears.SlackBuild
new file mode 100644
index 0000000000..14710ece6a
--- /dev/null
+++ b/graphics/pd-gears/pd-gears.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/bash
+
+# Slackware build script for openscad-threads
+
+# Copyright 2023 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=pd-gears
+VERSION=${VERSION:-2.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+mkdir -p $PKG/usr/share/openscad/libraries/pd-gears
+
+install -m775 pd-gears.scad $PKG/usr/share/openscad/libraries/pd-gears
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/pd-gears/pd-gears.info b/graphics/pd-gears/pd-gears.info
new file mode 100644
index 0000000000..887bba07d6
--- /dev/null
+++ b/graphics/pd-gears/pd-gears.info
@@ -0,0 +1,10 @@
+PRGNAM="pd-gears"
+VERSION="2.0.1"
+HOMEPAGE="https://github.com/sadr0b0t/pd-gears/"
+DOWNLOAD="https://github.com/sadr0b0t/pd-gears/archive/refs/tags/v2.0.1.tar.gz"
+MD5SUM="d52d1e6e8ec93f99b6c04767d99d327a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/graphics/pd-gears/slack-desc b/graphics/pd-gears/slack-desc
new file mode 100644
index 0000000000..e4eb8a6699
--- /dev/null
+++ b/graphics/pd-gears/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pd-gears: pd-gears (OpenSCAD CAD Library)
+pd-gears:
+pd-gears: OpenSCAD involute parametrized gear generator.
+pd-gears:
+pd-gears:
+pd-gears:
+pd-gears:
+pd-gears:
+pd-gears:
+pd-gears:
+pd-gears: